Bug 102754 - cdda_paranoia.h does not include requred dependency
cdda_paranoia.h does not include requred dependency
Product: Red Hat Linux
Classification: Retired
Component: cdparanoia (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2003-08-20 13:43 EDT by jmccann
Modified: 2015-01-14 18:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-05 16:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jmccann 2003-08-20 13:43:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
/usr/include/cdda/cdda_paranoia.h references a cdrom_drive type that is defined
in /usr/include/cdda/cdda_interface.h.

/usr/include/cdda/cdda_paranoia.h should #include this dependency.

Not having it causes gnome-vfs support to not build using jhbuild.

There is no harm in including it because if it was already read it will be skipped.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Build something that #include <cdda/cdda_paranoia.h>

Actual Results:  Fails.

Expected Results:  Doesn't fail.

Additional info:

This should probaly go upstream but I couldn't immediately figure out where.
Comment 1 Peter Jones 2003-09-05 16:50:17 EDT
Unfortunately, I can't really change this.  I agree that cdda_paranoia.h should
include cdda_interface.h, but currently different distros put the headers at
different places WRT the standard include paths.  So if I change it, I can't
merge it upstream.

Note You need to log in before you can comment on or make changes to this bug.